﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Xml.Linq;

namespace Exclude_Properties
{
    public class Employee
    {
        [ReadOnly(true)]
        public string FirstName { get; set; }

        [Display(Name = "LastName")]
        public string LastName { get; set; }

        [Browsable(true)]
        public string Occupation { get; set; }

        public DateTime StartingDate { get; set; }
        public bool IsMarried { get; set; }
        public double Salary { get; set; }
        public Gender Gender { get; set; }
    }

    public enum Gender
    {
        Male,
        Female
    }
}
